CrossOver Support - Community Forums

Important Information These are community forums and not official technical support. If you need official support: Contact Us

CrossOver Linux
Discussion about CrossOver Linux

The following comments are owned by whoever posted them. We are not responsible for them in any way.

Back to Threads Reply to Thread

Fedora 32, CrossOver 19.0.2-1 and the dbus-python package

I have Fedora 32, and Crossover 19.0.2-1 (the latest). It seems it doesn't work because it can't install the dbus-python package.

I attach the output from the console:

/opt/cxoffice/bin/crossover

_g_io_module_get_default: Found default implementation gvfs (GDaemonVfs) for ‘gio-vfs’

_g_io_module_get_default: Found default implementation dconf (DConfSettingsBackend) for ‘gsettings-backend’

watch_fast: "/org/gnome/terminal/legacy/" (establishing: 0, active: 0)

unwatch_fast: "/org/gnome/terminal/legacy/" (active: 0, establishing: 1)

watch_established: "/org/gnome/terminal/legacy/" (establishing: 0)

It Opens a terminal window:

CrossOver needs your permission to install missing packages.
This operation must be run as root:

sh -c "dnf install --best dbus-python gobject-introspection gtk3 nss-mdns.i686 nss-mdns.x86_64 python3-gobject"

Trying with sudo...
[sudo] password for jjmarin:
Last metadata expiration check: 0:47:42 ago on Sat 11 Jul 2020 08:19:05 PM CEST.
No match for argument: dbus-python
Package gobject-introspection-1.64.1-1.fc32.x86_64 is already installed.
Package gtk3-3.24.20-1.fc32.x86_64 is already installed.
Package gtk3-3.24.20-1.fc32.i686 is already installed.
Package nss-mdns-0.14.1-7.fc32.x86_64 is already installed.
Package python3-gobject-3.36.1-1.fc32.x86_64 is already installed.
Error: Unable to find a match: dbus-python
Finished. Press Return to continue.

Terminal Window closes after pressing Enter

More messages on the console:

Could not install some Unix packages
Some errors may prevent CrossOver Linux from working correctly:

  • Could not load the D-Bus Python modules.
  • Could not load the GObject-Introspection Python module.
  • Could not load the GObject-Introspection data for GTK.
  • Missing 32bit libnss_mdns.so.2 library

You may be able to fix some issues by running one of the following commands as root:
Arch Linux (32 bits) pacman -Syu gtk3 nss-mdns python-gobject python2-dbus
Arch Linux (64 bits) pacman -Syu gtk3 python-gobject python2-dbus
Debian 7 (32 bits) apt-get install gir1.2-gdkpixbuf-2.0 gir1.2-glib-2.0 gir1.2-gtk-3.0 gir1.2-pango-1.0 libnss-mdns python-dbus python3-gi python3-gi-cairo
Debian 7 (64 bits) apt-get install gir1.2-gdkpixbuf-2.0 gir1.2-glib-2.0 gir1.2-gtk-3.0 gir1.2-pango-1.0 lib32nss-mdns python-dbus python3-gi python3-gi-cairo
Debian 8 apt-get install libnss-mdns:i386
Debian <= 6 (32 bits) apt-get install gir1.2-gdkpixbuf-2.0 gir1.2-glib-2.0 gir1.2-gtk-3.0 gir1.2-pango-1.0 libnss-mdns python-dbus python3-gi python3-gi-cairo
Debian <= 6 (64 bits) apt-get install gir1.2-gdkpixbuf-2.0 gir1.2-glib-2.0 gir1.2-gtk-3.0 gir1.2-pango-1.0 lib32nss-mdns python-dbus python3-gi python3-gi-cairo
Fedora <= 13 (32 bits) yum install dbus-python gobject-introspection gtk3 nss-mdns python3-gobject
Fedora <= 13 (64 bits) yum install dbus-python gobject-introspection gtk3 nss-mdns.i686 nss-mdns.x86_64 python3-gobject
Mandriva /usr/sbin/urpmi dbus-python nss_mdns
openSUSE <= 11.2 (32 bits) zypper install dbus-1-python gtk3 nss-mdns python3-gobject
openSUSE <= 11.2 (64 bits) zypper install dbus-1-python gtk3 nss-mdns-32bit python3-gobject

Does anyone know a fix for this ?

It is strange, I have another Fedora 32 box, and CrossOver seems to work ok there. It has installed the dbus-python-devel package. Maybe this package is enough to make it work. I will try later and I will report here.

I've installed dbus-python-devel on the machine, but the problem persists.

pkcon search name dbus-python-devel
Searching by name [=]
Finished [=]
Installed dbus-python-devel-1.2.16-1.fc32.i686 (installed:fedora) Libraries and headers for dbus-python
Installed dbus-python-devel-1.2.16-1.fc32.x86_64 (installed:fedora) Libraries and headers for dbus-python

I've realised that this other machine was using Python from Anaconda. I switched to python provided by the systems and it works now.

Anyway, the fact that there isn't any dbus-python package in Fedora is something that it must be taken into account by the developers

Please Note: This Forum is for non-application specific questions relating to installation/configuration of CrossOver. All application-specific posts to this Forum will be moved to their appropriate Compatibility Center Forum.

CrossOver Forums: the place to discuss running Windows applications on Mac and Linux

CodeWeavers or its third-party tools process personal data (e.g. browsing data or IP addresses) and use cookies or other identifiers, which are necessary for its functioning and required to achieve the purposes illustrated in our Privacy Policy. You accept the use of cookies or other identifiers by clicking the Acknowledge button.
Please Wait...
eyJjb3VudHJ5IjoiVVMiLCJsYW5nIjoiZW4iLCJjYXJ0IjowLCJ0enMiOi02LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNzA4NjEzODE4LCJjc3JmX3Rva2VuIjoiWlhZTm5Fa21UYW1YTGVLbiIsImdkcHIiOjB9